# sasl_user_exists - Check if a user exists on server

## Synopsis

    #include <sasl/sasl.h>

    int sasl_user_exists( sasl_conn_t *conn,
                          const char *service,
                          const char *user_realm,
                          const char *user)

## Description

int sasl_user_exists( sasl_conn_t *conn,
const char *service,
const char *user_realm,
const char *user)

  sasl_user_exists will check if a user exists on the server.

  Parameters:

    - conn – the SASL context for this connection

    - service – Service name or NULL (for service name of connection context)

    - user_realm – Realm to check in or NULL (for default realm)

    - user – User name to check for existence.

## Return Value

SASL functions should return SASL return codes. See sasl.h for a complete list. `SASL_OK` indicates success.

## See Also

RFC 4422,:saslman:sasl(3),:saslman:sasl_errors(3)